Page MenuHomePhabricator

Allow bureaucrats to remove sysop rights on French Wikiquote
Closed, DeclinedPublic

Description

Please give bureaucrats the ability to remove sysop rights on French Wikiquote per community decision.

Event Timeline

Lykos created this task.Jan 25 2017, 7:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2017, 7:40 AM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.

For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes

Urbanecm claimed this task.Jan 25 2017, 1:01 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 25 2017, 1:01 PM
Urbanecm triaged this task as Low priority.Jan 25 2017, 1:03 PM

Change 334054 had a related patch set uploaded (by Urbanecm):
Allow bureaucrats to remove sysop rights on French Wikiquote

https://gerrit.wikimedia.org/r/334054

Change 334054 abandoned by Urbanecm:
Allow bureaucrats to remove sysop rights on French Wikiquote

Reason:
See Z398 for details, wasn't discussed enough, more details in T156227.

https://gerrit.wikimedia.org/r/334054

As you see above I have abandoned the change I made. This wasn't discussed enough and allowing bureaucrats to remove adminship is sensitive right (and thus isn't granted to all bureaucrats but to stewards instead) so bigger discussion will be needed.

Urbanecm changed the task status from Open to Stalled.EditedJan 25 2017, 6:44 PM
Urbanecm removed Urbanecm as the assignee of this task.
Urbanecm lowered the priority of this task from Low to Lowest.
Urbanecm added a subscriber: Urbanecm.

Unclaiming: everybody can restore my change and process if needed.
Priority: Will be ready for deployment in big time if sometime
Status: See priority.

@Lykos One of the issue with the request is it's generally request for larger wikis with several bureaucrats and a lot of contributors to check what happens.

French Wikiquote have currently only two bureaucrats (one while Grondin is less active?).

https://meta.wikimedia.org/wiki/Requests_for_comment/Userrights_on_Hindi_Wikipedia is a requisite reading; folks are wary that such a "localization" of the desysoping procedure may open the door for such things.

Lykos added a comment.Jan 26 2017, 6:51 AM

@Dereckson From my point of view, sysops can be more dangerous on small wikis than bureaucrats.

Urbanecm added a comment.EditedJan 26 2017, 7:19 AM

But due to the availability of stewards (they are not from one country) bureaucrat can write "I'm a crat at xxwiki (my on-wiki username is zzz), please remove sysop access of yyy, abusing the rights." But as there is 30 stewards at all projects they can check their action at all projects in same manner. But you have two bureaucrats.

Also when this will be done by bureaucrats, stewards will lose their power to do it over meta except emergencies so in case your bureaucrats are unavailable you will need to prove a) why it is an emergency b) why it should be done (if nobody is able to do it locally you will need to prove only b).

This are only reasons why his shouldn't be done (and probably it won't be done).

@Lykos Do you wish to discuss the issue on meta. to get a broader feedback from global community or can we decline the issue? Currently, per previous remarks, there is no consensus to allow bureaucrats to desysop on wikis without a large number of bureaucrats for check & balance.

Lykos added a comment.Feb 3 2017, 4:18 PM

@Dereckson The two bureaucrats don't seem interested in that issue : I'm not more Catholic than the Pope.

Dereckson closed this task as Declined.EditedFeb 5 2017, 3:26 PM

Declining for previous comments, as not compatible with current Wikimedia projects practice.